"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function createPlugin(firstCompileCallback, rebuildCallback) {
  const plugin = {
    name: 'first-compile-reporter',
    setup(build) {
      let isFirstCompile = true;
      build.onEnd(result => {
        rebuildCallback(result);
        if (isFirstCompile) {
          isFirstCompile = false;
          firstCompileCallback();
        }
      });
    }
  };
  return plugin;
}
var _default = createPlugin;
exports.default = _default;
//# sourceMappingURL=firstCompile.js.map